# $Revision: 1.14 $, $Date: 2002/07/12 22:23:39 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Video
%define	pnam	Capture-V4l
Summary:	Perl Video::Capture::V4l module
Summary(pl):	Modu Perla Video::Capture::V4l
Name:		perl-Video-Capture-V4l
Version:	0.222
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-make.patch
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl interface to the Video4linux framegrabber interface.

%description -l pl
Perlowy interfejs do urzdze Video4linux.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{perl_archlib},%{_examplesdir}/%{name}-%{version}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT 

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitearch}/Video
%dir %{perl_sitearch}/auto/Video
%dir %{perl_sitearch}/auto/Video/*
%dir %{perl_sitearch}/auto/Video/Capture/V4l
%dir %{perl_sitearch}/auto/Video/Capture/VBI
%{perl_sitearch}/auto/Video/*/*.bs
%{perl_sitearch}/auto/Video/*/*/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Video/*/*.so
%attr(755,root,root) %{perl_sitearch}/auto/Video/*/*/*.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Video-Capture-V4l.spec,v $
Revision 1.14  2002/07/12 22:23:39  ankry
- fixed %%files

Revision 1.13  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.12  2002/07/11 08:06:15  depesz
- new version; should work; STBR

Revision 1.11  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.10  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.6  2002/02/10 15:37:16  depesz
adapterized

Revision 1.5  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/05 23:45:25  kloczek
- typo.

Revision 1.3  2001/09/05 23:11:02  kloczek
- BuildRequires: perl-devel.

Revision 1.2  2001/08/30 17:51:17  zagrodzki
- one more fix in %%files

Revision 1.1  2001/08/30 17:45:58  zagrodzki
- initial release
